# Uses of Class
javax.accessibility.AccessibleStateSet

Packages that use AccessibleStateSet
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.applet
Provides the classes necessary to create an applet and the classes an applet uses to communicate with its applet context.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.accessibility
Defines a contract between user-interface components and an assistive technology that provides access to those components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

- ## Uses of AccessibleStateSet in com.sun.java.accessibility.util

  Methods in com.sun.java.accessibility.util that return AccessibleStateSet
  Modifier and Type
  Method
  Description
  `AccessibleStateSet`
  Translator.`getAccessibleStateSet()`
  Get the state of this object, given an already populated state.

- ## Uses of AccessibleStateSet in java.applet

  Methods in java.applet that return AccessibleStateSet
  Modifier and Type
  Method
  Description
  `AccessibleStateSet`
  Applet.AccessibleApplet.`getAccessibleStateSet()`
  Get the state of this object.

- ## Uses of AccessibleStateSet in java.awt

  Methods in java.awt that return AccessibleStateSet
  Modifier and Type
  Method
  Description
  `AccessibleStateSet`
  Checkbox.AccessibleAWTCheckbox.`getAccessibleStateSet()`
  Get the state set of this object.
  `AccessibleStateSet`
  Component.AccessibleAWTComponent.`getAccessibleStateSet()`
  Gets the state of this object.
  `AccessibleStateSet`
  Dialog.AccessibleAWTDialog.`getAccessibleStateSet()`
  Get the state of this object.
  `AccessibleStateSet`
  Frame.AccessibleAWTFrame.`getAccessibleStateSet()`
  Get the state of this object.
  `AccessibleStateSet`
  List.AccessibleAWTList.AccessibleAWTListChild.`getAccessibleStateSet()`
  Get the state set of this object.
  `AccessibleStateSet`
  List.AccessibleAWTList.`getAccessibleStateSet()`
  Get the state set of this object.
  `AccessibleStateSet`
  MenuComponent.AccessibleAWTMenuComponent.`getAccessibleStateSet()`
  Gets the state of this object.
  `AccessibleStateSet`
  Scrollbar.AccessibleAWTScrollBar.`getAccessibleStateSet()`
  Get the state set of this object.
  `AccessibleStateSet`
  TextArea.AccessibleAWTTextArea.`getAccessibleStateSet()`
  Gets the state set of this object.
  `AccessibleStateSet`
  TextComponent.AccessibleAWTTextComponent.`getAccessibleStateSet()`
  Gets the state set of the TextComponent.
  `AccessibleStateSet`
  TextField.AccessibleAWTTextField.`getAccessibleStateSet()`
  Gets the state set of this object.
  `AccessibleStateSet`
  Window.AccessibleAWTWindow.`getAccessibleStateSet()`
  Get the state of this object.

- ## Uses of AccessibleStateSet in javax.accessibility

  Methods in javax.accessibility that return AccessibleStateSet
  Modifier and Type
  Method
  Description
  `abstract AccessibleStateSet`
  AccessibleContext.`getAccessibleStateSet()`
  Gets the state set of this object.

- ## Uses of AccessibleStateSet in javax.swing

  Methods in javax.swing that return AccessibleStateSet
  Modifier and Type
  Method
  Description
  `AccessibleStateSet`
  AbstractButton.AccessibleAbstractButton.`getAccessibleStateSet()`
  Get the state set of this object.
  `AccessibleStateSet`
  ImageIcon.AccessibleImageIcon.`getAccessibleStateSet()`
  Gets the state of this object.
  `AccessibleStateSet`
  JComboBox.AccessibleJComboBox.`getAccessibleStateSet()`
  Gets the state set of this object.
  `AccessibleStateSet`
  JComponent.AccessibleJComponent.`getAccessibleStateSet()`
  Gets the state of this object.
  `AccessibleStateSet`
  JDialog.AccessibleJDialog.`getAccessibleStateSet()`
  Get the state of this object.
  `AccessibleStateSet`
  JEditorPane.AccessibleJEditorPane.`getAccessibleStateSet()`
  Gets the state set of this object.
  `AccessibleStateSet`
  JFrame.AccessibleJFrame.`getAccessibleStateSet()`
  Get the state of this object.
  `AccessibleStateSet`
  JList.AccessibleJList.AccessibleJListChild.`getAccessibleStateSet()`
  `AccessibleStateSet`
  JList.AccessibleJList.`getAccessibleStateSet()`
  Get the state set of this object.
  `AccessibleStateSet`
  JMenuBar.AccessibleJMenuBar.`getAccessibleStateSet()`
  Get the accessible state set of this object.
  `AccessibleStateSet`
  JProgressBar.AccessibleJProgressBar.`getAccessibleStateSet()`
  Gets the state set of this object.
  `AccessibleStateSet`
  JScrollBar.AccessibleJScrollBar.`getAccessibleStateSet()`
  Get the state set of this object.
  `AccessibleStateSet`
  JSlider.AccessibleJSlider.`getAccessibleStateSet()`
  Get the state set of this object.
  `AccessibleStateSet`
  JSplitPane.AccessibleJSplitPane.`getAccessibleStateSet()`
  Gets the state set of this object.
  `AccessibleStateSet`
  JTable.AccessibleJTable.AccessibleJTableCell.`getAccessibleStateSet()`
  Gets the state set of this object.
  `AccessibleStateSet`
  JTextArea.AccessibleJTextArea.`getAccessibleStateSet()`
  Gets the state set of this object.
  `AccessibleStateSet`
  JTextField.AccessibleJTextField.`getAccessibleStateSet()`
  Gets the state set of this object.
  `AccessibleStateSet`
  JToolBar.AccessibleJToolBar.`getAccessibleStateSet()`
  Get the state of this object.
  `AccessibleStateSet`
  JTree.AccessibleJTree.AccessibleJTreeNode.`getAccessibleStateSet()`
  Get the state set of this object.
  `AccessibleStateSet`
  ProgressMonitor.AccessibleProgressMonitor.`getAccessibleStateSet()`
  Gets the state set of this object.
  `static AccessibleStateSet`
  SwingUtilities.`getAccessibleStateSet(Component c)`
  Get the state of this object.

- ## Uses of AccessibleStateSet in javax.swing.table

  Methods in javax.swing.table that return AccessibleStateSet
  Modifier and Type
  Method
  Description
  `AccessibleStateSet`
  JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry.`getAccessibleStateSet()`

- ## Uses of AccessibleStateSet in javax.swing.text

  Methods in javax.swing.text that return AccessibleStateSet
  Modifier and Type
  Method
  Description
  `AccessibleStateSet`
  JTextComponent.AccessibleJTextComponent.`getAccessibleStateSet()`
  Gets the state set of the JTextComponent.